Skip to main content
GET
/
custom-fields
cURL
curl -X GET https://api.growthbook.io/api/v1/custom-fields -u secret_abc123DEF456
[
  {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "type": "text",
    "required": true,
    "sections": [
      "feature"
    ],
    "description": "<string>",
    "placeholder": "<string>",
    "defaultValue": "<string>",
    "values": "<string>",
    "creator": "<string>",
    "projects": [
      "<string>"
    ],
    "active": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
  -H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

projectId
string

Response

200 - application/json

Success

id
string
required
dateCreated
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
dateUpdated
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
name
string
required
type
enum<string>
required
Available options:
text,
textarea,
markdown,
enum,
multiselect,
url,
number,
boolean,
date,
datetime
required
boolean
required
sections
enum<string>[]
required
Available options:
feature,
experiment
description
string
placeholder
string
defaultValue
values
string
creator
string
projects
string[]
active
boolean